# The XMLDiff\Memory class

(PECL xmldiff >= 0.8.0)

## Introduction

## Class synopsis

XMLDiff\Memory extends XMLDiff\Base {
/* Methods */
public diff ( string `$from` , string `$to` ) : string
public merge ( string `$src` , string `$diff` ) : string
/* Inherited methods */
public XMLDiff\Base::__construct ( string `$nsname` )
abstract public XMLDiff\Base::diff ( mixed `$from` , mixed `$to` ) : mixed
abstract public XMLDiff\Base::merge ( mixed `$src` , mixed `$diff` ) : mixed
}

## Table of Contents

- XMLDiff\Memory::diff — Diff two XML documents
- XMLDiff\Memory::merge — Produce merged XML document